Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class XMLValidator.UniqueValueStore

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.XMLValidator.ValueStoreBase
            |
            +--org.apache.xerces.validators.common.XMLValidator.UniqueValueStore

Enclosing class:
  XMLValidator

protected class XMLValidator.UniqueValueStore
extends XMLValidator.ValueStoreBase

Unique value store.

Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLValidator.UniqueValueStore(Unique unique)` Constructs a unique value store.

Method Summary
`protected void` | `duplicateValue(org.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)` Called when a duplicate value is added.

Methods inherited from class org.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`addValue, append, contains, destroy, endDocument, endDocumentFragment, endValueScope, reportNilError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLValidator.UniqueValueStore

    public XMLValidator.UniqueValueStore(Unique unique)

  Constructs a unique value store.

Method Detail

### duplicateValue

    protected void duplicateValue(org.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)
                           throws java.lang.Exception

  Called when a duplicate value is added.
  Overrides:
    duplicateValue in class XMLValidator.ValueStoreBase
  Parameters:
    `tuple` - The duplicate value tuple.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.